## sip-tester 3.3

=== debian/changelog ===
sip-tester (1:3.3-1~bpo70+1) wheezy-backports; urgency=low

  * [9198ace] Added noninteractive patch from upstream. Trying to fix issues running sipp without a console.
  * [fdad588] Added missing patch on series
  * [f5eecce] Imported Upstream version 3.3
  * [7d8e0e6] remove spelling-error-in-binary patch
  * [7b78cc3] refresh patches for 3.3
  * [4443931] Added patch for rtp from ksolomko@sipwise.com

 -- Victor Seva <vseva@sipwise.com>  Wed, 27 Nov 2013 13:58:07 +0100

sip-tester (1:3.2-1~bpo70+1) wheezy-backports; urgency=low

  * Rebuild for wheezy-backports.
  * Added dep libssl-dev

 -- Victor Seva <vseva@sipwise.com>  Wed, 03 Jul 2013 13:53:24 +0200

=== debian/control ===
Source: sip-tester
Section: comm
Priority: optional
Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
Uploaders: Mark Purcell <msp@debian.org>, ARAKI Yasuhiro <ar@debian.org>, Tzafrir Cohen <tzafrir@debian.org>
Build-Depends: debhelper (>= 7.0.50~),
 pkg-config,
 libncurses5-dev,
 libnet1-dev,
 libpcap-dev,
 libgsl0-dev,
 libssl-dev
Standards-Version: 3.8.4
Homepage: http://sourceforge.net/projects/sipp/
Vcs-Svn: svn://svn.debian.org/pkg-voip/sip-tester/trunk/
Vcs-Browser: http://svn.debian.org/wsvn/pkg-voip/sip-tester/?op=log

Package: sip-tester
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Performance testing tool for the SIP protocol
 sip-tester is a test tool and traffic generator for the SIP
 protocol. It can be used to test SIP equipment like SIP
 proxies, SIP media servers, etc. and to emulate user agents
 calling a SIP system. 
 .
 Its features are:
  * a few basic SipStone user agent scenarios included
  * custom XML scenario files even for complex call flows
  * comprehensive set of real-time statistics
  * TCP and UDP transport
  * dynamically adjustable call rates
  - send RTP traffic
 .
 This software is distributed as SIPp by its authors.
 .
 SIP is the Session Initiation Protocol, a standard signalling
 protocol for initiating, modifying, and terminating Internet
 conferencing, telephony (VoIP - Voice over IP), video, and
 instant messaging.
 .
 This package has been built for distributed pauses with the
 GNU Scientific Libraries.

=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

export DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
export DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
  confflags += --build $(DEB_HOST_GNU_TYPE)
else
  confflags += --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
endif

export PROC := $(shell dpkg-architecture -qDEB_BUILD_GNU_CPU)

ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
        BUILDFLAGS += OPTIMIZE=-O0
else
        BUILDFLAGS += OPTIMIZE=-O2
endif
BUILDFLAGS += MAKECMDGOALS=dont-optimize

help2man:
	/usr/bin/help2man -v '-v' -N -S 'Debian GNU/Linux' -o debian/sipp.1 sipp \
		-n 'Session Initiation Protol (SIP) performance testing tool'

%:
	dh $@

override_dh_auto_build:
	        dh_auto_build -- pcapplay_ossl

## sip-tester 3.5.1

=== debian/changelog ===
sip-tester (1:3.5.1-2build1) artful; urgency=medium

  * No-change rebuild for libgsl soname change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 06 Aug 2017 00:16:22 +0000

sip-tester (1:3.5.1-2) unstable; urgency=medium

  * [9a06454] add note on description about no auth support

 -- Victor Seva <vseva@debian.org>  Thu, 15 Jun 2017 16:56:35 +0200

sip-tester (1:3.5.1-1) experimental; urgency=medium

  * [3083f04] New upstream version 3.5.1 (Closes: #809196)
  * [f009492] debian/copyright switch to format 1.0
  * [eccbbcc] debian/watch: project is now in github
  * [3cf35c8] use autoreconf
  * [5bc2474] remove old patches
  * [2d19a31] support hardening

 -- Victor Seva <vseva@debian.org>  Thu, 15 Jun 2017 16:54:19 +0200

sip-tester (1:3.2-1.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Bas Couwenberg ]
  * Update build dependencies for GSL 2, change libgsl0-dev to libgsl-dev.
    Closes: #807226

 -- Mattia Rizzolo <mattia@debian.org>  Tue, 26 Jan 2016 12:16:10 +0000

=== debian/control ===
Source: sip-tester
Section: comm
Priority: optional
Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
Uploaders:
 Tzafrir Cohen <tzafrir@debian.org>,
 Victor Seva <vseva@debian.org>,
Build-Depends:
 debhelper (>= 9~),
 dh-autoreconf,
 dpkg-dev (>= 1.16.1~),
 help2man,
 libgsl-dev,
 libncurses5-dev,
 libnet1-dev,
 libpcap-dev,
 pkg-config,
Build-Conflicts:
 libssl-dev,
Standards-Version: 3.9.8
Homepage: http://sipp.sourceforge.net/
Vcs-git: https://anonscm.debian.org/git/pkg-voip/sip-tester.git
Vcs-Browser: https://anonscm.debian.org/gitweb/?p=pkg-voip/sip-tester.git

Package: sip-tester
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Performance testing tool for the SIP protocol
 sip-tester is a test tool and traffic generator for the SIP
 protocol. It can be used to test SIP equipment like SIP
 proxies, SIP media servers, etc. and to emulate user agents
 calling a SIP system.
 .
 Its features are:
  * a few basic SipStone user agent scenarios included
  * custom XML scenario files even for complex call flows
  * comprehensive set of real-time statistics
  * TCP and UDP transport
  * dynamically adjustable call rates
  - send RTP traffic
 .
 This software is distributed as SIPp by its authors.
 .
 SIP is the Session Initiation Protocol, a standard signalling
 protocol for initiating, modifying, and terminating Internet
 conferencing, telephony (VoIP - Voice over IP), video, and
 instant messaging.
 .
 This package has been built for distributed pauses with the
 GNU Scientific Libraries and without openssl due licenses
 incompatibilities, so authentication is not supported.

=== debian/rules ===
--- 
+++ 
@@ -20,12 +20,14 @@
 endif
 BUILDFLAGS += MAKECMDGOALS=dont-optimize
 
-help2man:
-	/usr/bin/help2man -v '-v' -N -S 'Debian GNU/Linux' -o debian/sipp.1 sipp \
-		-n 'Session Initiation Protol (SIP) performance testing tool'
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+DPKG_EXPORT_BUILDFLAGS = 1
+include /usr/share/dpkg/buildflags.mk
 
 %:
-	dh $@
+	dh $@ --with autoreconf
 
-override_dh_auto_build:
-	        dh_auto_build -- pcapplay_ossl
+override_dh_auto_configure:
+	dh_auto_configure -- --with-pcap --with-gsl
+
+override_dh_auto_test:

=== debian/watch ===
version=3
opts="filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/sip-tester_$1\.tar\.gz/" \
  https://github.com/SIPp/sipp/tags .*/v?(\d\S*)\.tar\.gz

## sip-tester 3.5.2

=== debian/changelog ===
sip-tester (1:3.5.2-1) unstable; urgency=medium

  * New upstream version 3.5.2
  * update Vcs-* due migration to salsa
  * patch for alpha (Closes: #902105)
  * add rtpstream and sctp support
  * fix sctp
  * use upstream manpage
  * install pcap files
  * add FAQ.md and CHANGES.md files on docs
  * update debian/watch
  * update Standards-Version to 4.2.1, no changes needed

 -- Victor Seva <vseva@debian.org>  Mon, 10 Dec 2018 07:41:51 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  debhelper (>= 9~),
  dh-autoreconf,
  dpkg-dev (>= 1.16.1~),
- help2man,
+ libsctp-dev [linux-any],
  libgsl-dev,
  libncurses5-dev,
  libnet1-dev,
@@ -17,10 +17,10 @@
  pkg-config,
 Build-Conflicts:
  libssl-dev,
-Standards-Version: 3.9.8
+Standards-Version: 4.2.1
 Homepage: http://sipp.sourceforge.net/
-Vcs-git: https://anonscm.debian.org/git/pkg-voip/sip-tester.git
-Vcs-Browser: https://anonscm.debian.org/gitweb/?p=pkg-voip/sip-tester.git
+Vcs-git: https://salsa.debian.org/pkg-voip-team/sip-tester.git
+Vcs-Browser: https://salsa.debian.org/pkg-voip-team/sip-tester
 
 Package: sip-tester
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -24,10 +24,14 @@
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/buildflags.mk
 
+ifeq ($(DEB_HOST_ARCH_OS),linux)
+	SIPP_CONFIG += --with-sctp
+endif
+
 %:
 	dh $@ --with autoreconf
 
 override_dh_auto_configure:
-	dh_auto_configure -- --with-pcap --with-gsl
+	dh_auto_configure -- --with-pcap --with-gsl --with-rtpstream $(SIPP_CONFIG)
 
 override_dh_auto_test:

## sip-tester 3.6.0

=== debian/changelog ===
sip-tester (1:3.6.0-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:57:56 +0100

sip-tester (1:3.6.0-1) unstable; urgency=medium

  * New upstream version 3.6.0 (Closes: #925830)
  * remove already applied patches
  * upgrade debhelper to 12. Upgrade Standards-Version to 4.4.1
  * FAQ.md was removed upstream

 -- Victor Seva <vseva@debian.org>  Mon, 30 Dec 2019 10:26:51 +0100

=== debian/control ===
--- 
+++ 
@@ -6,9 +6,7 @@
  Tzafrir Cohen <tzafrir@debian.org>,
  Victor Seva <vseva@debian.org>,
 Build-Depends:
- debhelper (>= 9~),
- dh-autoreconf,
- dpkg-dev (>= 1.16.1~),
+ debhelper-compat (= 12),
  libsctp-dev [linux-any],
  libgsl-dev,
  libncurses5-dev,
@@ -17,7 +15,7 @@
  pkg-config,
 Build-Conflicts:
  libssl-dev,
-Standards-Version: 4.2.1
+Standards-Version: 4.4.1
 Homepage: http://sipp.sourceforge.net/
 Vcs-git: https://salsa.debian.org/pkg-voip-team/sip-tester.git
 Vcs-Browser: https://salsa.debian.org/pkg-voip-team/sip-tester

=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

ifeq ($(DEB_HOST_ARCH_OS),linux)
	SIPP_CONFIG += --with-sctp
endif

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --with-pcap --with-gsl --with-rtpstream $(SIPP_CONFIG)

override_dh_auto_test:

=== debian/watch ===
version=4
opts="filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/sip-tester_$1\.tar\.gz/,uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/" \
  https://github.com/SIPp/sipp/tags .*/v?(\d\S*)\.tar\.gz

## sip-tester 3.6.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)

# set the project name
project(SIPp)

# specify the C++ standard
set(CMAKE_CXX_STANDARD 11)
set(CMAKE_CXX_STANDARD_REQUIRED True)

if(EXISTS ./gmock/CMakeLists.txt)
  add_subdirectory(gmock EXCLUDE_FROM_ALL)
endif()

include_directories(
  ${PROJECT_SOURCE_DIR}/include
  ${PROJECT_SOURCE_DIR}/gtest/include
  ${PROJECT_SOURCE_DIR}/gmock/include
  ${PROJECT_BINARY_DIR}
  "/usr/local/include")

option(BUILD_STATIC "Build a statically-linked binary" OFF)
option(USE_SSL "Build with SIPS support" OFF)
option(USE_SCTP "Build with SCTP support" OFF)
option(USE_PCAP "Build with PCAP playback support" OFF)
option(USE_GSL "Build with improved statistical support" ON)

file(GLOB all_SRCS
  "${PROJECT_SOURCE_DIR}/src/*.cpp"
  "${PROJECT_SOURCE_DIR}/src/*.c"
  )

include(${CMAKE_ROOT}/Modules/CheckIncludeFile.cmake)
include(${CMAKE_ROOT}/Modules/CheckSymbolExists.cmake)
include(${CMAKE_ROOT}/Modules/CheckStructHasMember.cmake)

CHECK_INCLUDE_FILE("endian.h" HAVE_ENDIAN_H)
CHECK_INCLUDE_FILE("sys/endian.h" HAVE_SYS_ENDIAN_H)
CHECK_INCLUDE_FILE("sys/epoll.h" HAVE_EPOLL)
CHECK_STRUCT_HAS_MEMBER("struct udphdr" uh_sport "sys/types.h;netinet/udp.h"  HAVE_UDP_UH_PREFIX)

CHECK_SYMBOL_EXISTS(le16toh "endian.h" HAVE_DECL_LE16TOH)
CHECK_SYMBOL_EXISTS(le16toh "sys/endian.h" HAVE_DECL_LE16TOH_BSD)

configure_file("${PROJECT_SOURCE_DIR}/include/config.h.in"
               "${PROJECT_BINARY_DIR}/config.h" )

list(REMOVE_ITEM all_SRCS
  "${PROJECT_SOURCE_DIR}/src/sipp_unittest.cpp")

list(REMOVE_ITEM all_SRCS
  "${PROJECT_SOURCE_DIR}/src/sipp.cpp")

if(NOT USE_SSL)
  list(REMOVE_ITEM all_SRCS
    "${PROJECT_SOURCE_DIR}/src/sslsocket.cpp")
endif(NOT USE_SSL)

if(NOT USE_PCAP)
  list(REMOVE_ITEM all_SRCS
    "${PROJECT_SOURCE_DIR}/src/prepare_pcap.c")
  list(REMOVE_ITEM all_SRCS
    "${PROJECT_SOURCE_DIR}/src/send_packets.c")
endif(NOT USE_PCAP)

if(USE_SSL)
  add_definitions("-DUSE_TLS -DUSE_OPENSSL")
endif()

if(USE_PCAP)
  add_definitions("-DPCAPPLAY")
endif(USE_PCAP)

if(USE_GSL)
  find_library(GSL_LIBRARY gsl)
  if(GSL_LIBRARY)
    add_definitions("-DHAVE_GSL")
  endif(GSL_LIBRARY)
endif(USE_GSL)

if(USE_SCTP)
  add_definitions("-DUSE_SCTP")
endif(USE_SCTP)

add_definitions("-DRTP_STREAM")

# add the executable
link_directories("/usr/local/lib")
add_executable(sipp ${all_SRCS} "${PROJECT_SOURCE_DIR}/src/sipp.cpp")
add_executable(sipp_unittest EXCLUDE_FROM_ALL ${all_SRCS} "${PROJECT_SOURCE_DIR}/src/sipp_unittest.cpp")
target_compile_definitions(sipp_unittest PUBLIC "-DGTEST")

# add version
find_package(Git)
file(WRITE ${PROJECT_SOURCE_DIR}/include/version.cmake
"execute_process(
     COMMAND ${GIT_EXECUTABLE} describe --tags --always --first-parent
     WORKING_DIRECTORY ${PROJECT_SOURCE_DIR}
     OUTPUT_VARIABLE VERSION
     OUTPUT_STRIP_TRAILING_WHITESPACE
 )
 configure_file(\${SRC} \${DST} @ONLY)
")
add_custom_target(
    version
    if test -d .git \; then
        ${CMAKE_COMMAND} -D SRC=${PROJECT_SOURCE_DIR}/include/version.h.in
          -D DST=${PROJECT_BINARY_DIR}/version.h
          -P ${PROJECT_SOURCE_DIR}/include/version.cmake \;
    fi
)
add_dependencies(sipp version)
add_dependencies(sipp_unittest version)

if(BUILD_STATIC)
  set(CMAKE_EXE_LINKER_FLAGS "-static-libgcc -static-libstdc++ -static")
endif(BUILD_STATIC)

find_package(PkgConfig QUIET)  # import pkg_check_modules() and friends
if(PKG_CONFIG_FOUND)
  pkg_search_module(CURSES_LIBRARY ncursesw cursesw ncurses curses)
  if(CURSES_LIBRARY_FOUND)
    set(CURSES_LIBRARY ${CURSES_LIBRARY_LIBRARIES})
  endif()
  pkg_search_module(TINFO_LIBRARY tinfo)
  if(TINFO_LIBRARY_FOUND)
    set(TINFO_LIBRARY ${TINFO_LIBRARY_LIBRARIES})
  endif()
endif()
if(NOT CURSES_LIBRARY)
  find_library(CURSES_LIBRARY NAMES ncursesw cursesw ncurses curses)
endif()
if(NOT TINFO_LIBRARY)
  find_library(TINFO_LIBRARY NAMES tinfo)
endif()
if(CURSES_LIBRARY)
  target_link_libraries(sipp dl ${CURSES_LIBRARY} pthread)
  target_link_libraries(sipp_unittest dl ${CURSES_LIBRARY} pthread gtest gmock)
  if(CMAKE_SYSTEM_NAME STREQUAL "Linux")
    if(NOT BUILD_STATIC)
      if(TINFO_LIBRARY)
        target_link_libraries(sipp dl ${TINFO_LIBRARY})
        target_link_libraries(sipp_unittest dl ${TINFO_LIBRARY})
      else()
        message(FATAL_ERROR "libtinfo was not found -- please install package")
      endif(TINFO_LIBRARY)
    endif(NOT BUILD_STATIC)
  endif(CMAKE_SYSTEM_NAME STREQUAL "Linux")
else()
  message(FATAL_ERROR "libcurses / libncurses was not found; please install devel package")
endif()

find_library(RT_LIBRARY NAMES rt)
if(RT_LIBRARY)
  target_link_libraries(sipp ${RT_LIBRARY})
  target_link_libraries(sipp_unittest ${RT_LIBRARY})
endif()

if(USE_GSL AND GSL_LIBRARY)
  target_link_libraries(sipp gsl gslcblas)
  target_link_libraries(sipp_unittest gsl gslcblas)
endif(USE_GSL AND GSL_LIBRARY)

if(USE_SSL)
  target_link_libraries(sipp crypto ssl)
  target_link_libraries(sipp_unittest crypto ssl)
endif(USE_SSL)

if(USE_PCAP)
  target_link_libraries(sipp pcap)
  target_link_libraries(sipp_unittest pcap)
endif(USE_PCAP)

if(USE_SCTP)
  find_library(SCTP_LIBRARY sctp)
  if(SCTP_LIBRARY)
    target_link_libraries(sipp ${SCTP_LIBRARY})
    target_link_libraries(sipp_unittest ${SCTP_LIBRARY})
  endif()
endif()

install(TARGETS sipp DESTINATION bin)

=== debian/changelog ===
sip-tester (1:3.6.1-1) unstable; urgency=medium

  * New upstream version 3.6.1
  * upstream use now cmake

 -- Victor Seva <vseva@debian.org>  Fri, 15 Jan 2021 14:38:30 +0100

=== debian/control ===
--- 
+++ 
@@ -7,6 +7,7 @@
  Victor Seva <vseva@debian.org>,
 Build-Depends:
  debhelper-compat (= 12),
+ cmake,
  libsctp-dev [linux-any],
  libgsl-dev,
  libncurses5-dev,

=== debian/rules ===
--- 
+++ 
@@ -7,13 +7,14 @@
 include /usr/share/dpkg/buildflags.mk
 
 ifeq ($(DEB_HOST_ARCH_OS),linux)
-	SIPP_CONFIG += --with-sctp
+	SIPP_CONFIG += -DUSE_SCTP=1
 endif
 
 %:
 	dh $@
 
 override_dh_auto_configure:
-	dh_auto_configure -- --with-pcap --with-gsl --with-rtpstream $(SIPP_CONFIG)
+	cp version.h include/
+	dh_auto_configure -- -DUSE_PCAP=1 -DUSE_GSL=1 $(SIPP_CONFIG)
 
 override_dh_auto_test:

## sip-tester 3.7.1

=== debian/changelog ===
sip-tester (1:3.7.1-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Use secure copyright file specification URI.
  * Bump debhelper from old 12 to 13.
  * Set upstream metadata fields: Repository-Browse.
  * Changed vcs type from git to Git based on URL.
  * Update standards version to 4.6.1, no changes needed.
  * Use secure URI in Homepage field.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository.
  * Update standards version to 4.6.2, no changes needed.

  [ Victor Seva ]
  * update watch file
  * New upstream version 3.7.0
  * rules: version.h is already in the proper directory
  * update libncurses dependency
  * enable ssl support using wolfssl
  * New upstream version 3.7.1

 -- Victor Seva <vseva@debian.org>  Thu, 05 Oct 2023 09:45:09 +0200

=== debian/control ===
--- 
+++ 
@@ -6,20 +6,21 @@
  Tzafrir Cohen <tzafrir@debian.org>,
  Victor Seva <vseva@debian.org>,
 Build-Depends:
- debhelper-compat (= 12),
  cmake,
- libsctp-dev [linux-any],
+ debhelper-compat (= 13),
  libgsl-dev,
- libncurses5-dev,
+ libncurses-dev,
  libnet1-dev,
  libpcap-dev,
+ libsctp-dev [linux-any],
+ libwolfssl-dev,
  pkg-config,
 Build-Conflicts:
  libssl-dev,
-Standards-Version: 4.4.1
-Homepage: http://sipp.sourceforge.net/
-Vcs-git: https://salsa.debian.org/pkg-voip-team/sip-tester.git
+Standards-Version: 4.6.2
+Homepage: https://sipp.sourceforge.net/
 Vcs-Browser: https://salsa.debian.org/pkg-voip-team/sip-tester
+Vcs-Git: https://salsa.debian.org/pkg-voip-team/sip-tester.git
 
 Package: sip-tester
 Architecture: any

## sip-tester 3.7.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 2.8)
+cmake_minimum_required(VERSION 3.4)
 
 # set the project name
 project(SIPp)
@@ -6,16 +6,17 @@
 # specify the C++ standard
 set(CMAKE_CXX_STANDARD 11)
 set(CMAKE_CXX_STANDARD_REQUIRED True)
-
-if(EXISTS ./gmock/CMakeLists.txt)
-  add_subdirectory(gmock EXCLUDE_FROM_ALL)
-endif()
-
+set(CMAKE_CXX_EXTENSIONS False)
+# specify the C++ standard on older CMake (<3.8)
+set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")
+#set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Werror -pedantic -Wno-error=format-truncation -Wno-error=deprecated-declarations")
+
+# Include binary dir first, where we add generated config.h and
+# version.h. If nothing is found there (release tar) use the version.h
+# from the source.
 include_directories(
+  ${PROJECT_BINARY_DIR}
   ${PROJECT_SOURCE_DIR}/include
-  ${PROJECT_SOURCE_DIR}/gtest/include
-  ${PROJECT_SOURCE_DIR}/gmock/include
-  ${PROJECT_BINARY_DIR}
   "/usr/local/include")
 
 option(BUILD_STATIC "Build a statically-linked binary" OFF)
@@ -29,6 +30,7 @@
   "${PROJECT_SOURCE_DIR}/src/*.c"
   )
 
+include(${CMAKE_ROOT}/Modules/CheckCXXSourceCompiles.cmake)
 include(${CMAKE_ROOT}/Modules/CheckIncludeFile.cmake)
 include(${CMAKE_ROOT}/Modules/CheckSymbolExists.cmake)
 include(${CMAKE_ROOT}/Modules/CheckStructHasMember.cmake)
@@ -41,8 +43,14 @@
 CHECK_SYMBOL_EXISTS(le16toh "endian.h" HAVE_DECL_LE16TOH)
 CHECK_SYMBOL_EXISTS(le16toh "sys/endian.h" HAVE_DECL_LE16TOH_BSD)
 
+
 configure_file("${PROJECT_SOURCE_DIR}/include/config.h.in"
                "${PROJECT_BINARY_DIR}/config.h" )
+
+if(BUILD_STATIC)
+  set(CMAKE_EXE_LINKER_FLAGS "-static-libgcc -static-libstdc++ -static")
+  set(CMAKE_FIND_LIBRARY_SUFFIXES .a ${CMAKE_FIND_LIBRARY_SUFFIXES})
+endif(BUILD_STATIC)
 
 list(REMOVE_ITEM all_SRCS
   "${PROJECT_SOURCE_DIR}/src/sipp_unittest.cpp")
@@ -62,8 +70,39 @@
     "${PROJECT_SOURCE_DIR}/src/send_packets.c")
 endif(NOT USE_PCAP)
 
+find_package(PkgConfig QUIET)  # import pkg_check_modules() and friends
 if(USE_SSL)
-  add_definitions("-DUSE_TLS -DUSE_OPENSSL")
+  if(PKG_CONFIG_FOUND)
+    pkg_search_module(SSL openssl>=0.9.8 wolfssl>=3.15.0)
+  endif()
+  if(SSL_FOUND)
+    if("${SSL_LIBRARIES}" MATCHES "wolfssl")
+      set(WOLFSSL_FOUND True)
+    else()
+      set(OPENSSL_FOUND True)
+    endif()
+  else()
+    find_library(OPENSSL_SSL_LIBRARY NAMES ssl)
+    find_library(OPENSSL_CRYPTO_LIBRARY NAMES crypto)
+    if(OPENSSL_SSL_LIBRARY AND OPENSSL_CRYPTO_LIBRARY)
+      set(SSL_LIBRARIES ${OPENSSL_SSL_LIBRARY} ${OPENSSL_CRYPTO_LIBRARY})
+      set(OPENSSL_FOUND True)
+    else()
+      find_library(WOLFSSL_LIBRARY NAMES wolfssl)
+      if(WOLFSSL_LIBRARY)
+        set(SSL_LIBRARIES ${WOLFSSL_LIBRARY})
+        set(WOLFSSL_FOUND True)
+      endif()
+    endif()
+    if(NOT OPENSSL_FOUND AND NOT WOLFSSL_FOUND)
+      message(FATAL_ERROR "Neither OpenSSL nor WolfSSL was found; please install a devel package")
+    endif()
+  endif()
+  if(OPENSSL_FOUND)
+    add_definitions("-DUSE_TLS" "-DUSE_OPENSSL")
+  elseif(WOLFSSL_FOUND)
+    add_definitions("-DUSE_TLS" "-DUSE_WOLFSSL" "-DOPENSSL_ALL")
+  endif()
 endif()
 
 if(USE_PCAP)
@@ -81,13 +120,31 @@
   add_definitions("-DUSE_SCTP")
 endif(USE_SCTP)
 
-add_definitions("-DRTP_STREAM")
-
 # add the executable
 link_directories("/usr/local/lib")
 add_executable(sipp ${all_SRCS} "${PROJECT_SOURCE_DIR}/src/sipp.cpp")
-add_executable(sipp_unittest EXCLUDE_FROM_ALL ${all_SRCS} "${PROJECT_SOURCE_DIR}/src/sipp_unittest.cpp")
-target_compile_definitions(sipp_unittest PUBLIC "-DGTEST")
+target_compile_features(sipp PUBLIC cxx_auto_type cxx_range_for)
+
+if(EXISTS ${PROJECT_SOURCE_DIR}/gtest/googletest)
+  add_executable(sipp_unittest EXCLUDE_FROM_ALL
+    ${all_SRCS}
+    "${PROJECT_SOURCE_DIR}/src/sipp_unittest.cpp"
+    "${PROJECT_SOURCE_DIR}/gtest/googletest/src/gtest-all.cc"
+    "${PROJECT_SOURCE_DIR}/gtest/googlemock/src/gmock-all.cc"
+  )
+  target_compile_features(sipp_unittest PUBLIC cxx_auto_type cxx_range_for)
+  target_compile_definitions(sipp_unittest PUBLIC "-DGTEST")
+  target_include_directories(sipp_unittest SYSTEM PUBLIC
+    ${PROJECT_SOURCE_DIR}/gtest/googletest
+    ${PROJECT_SOURCE_DIR}/gtest/googlemock
+    ${PROJECT_SOURCE_DIR}/gtest/googletest/include
+    ${PROJECT_SOURCE_DIR}/gtest/googlemock/include
+  )
+else()
+  add_executable(sipp_unittest EXCLUDE_FROM_ALL
+    ${all_SRCS}
+    "${PROJECT_SOURCE_DIR}/src/sipp_unittest.cpp")
+endif()
 
 # add version
 find_package(Git)
@@ -100,22 +157,17 @@
  )
  configure_file(\${SRC} \${DST} @ONLY)
 ")
-add_custom_target(
-    version
-    if test -d .git \; then
-        ${CMAKE_COMMAND} -D SRC=${PROJECT_SOURCE_DIR}/include/version.h.in
-          -D DST=${PROJECT_BINARY_DIR}/version.h
-          -P ${PROJECT_SOURCE_DIR}/include/version.cmake \;
-    fi
-)
-add_dependencies(sipp version)
-add_dependencies(sipp_unittest version)
-
-if(BUILD_STATIC)
-  set(CMAKE_EXE_LINKER_FLAGS "-static-libgcc -static-libstdc++ -static")
-endif(BUILD_STATIC)
-
-find_package(PkgConfig QUIET)  # import pkg_check_modules() and friends
+if(EXISTS ${PROJECT_SOURCE_DIR}/.git)
+  add_custom_target(
+      version
+      ${CMAKE_COMMAND} -D SRC=${PROJECT_SOURCE_DIR}/include/version.h.in
+      -D DST=${PROJECT_BINARY_DIR}/version.h
+      -P ${PROJECT_SOURCE_DIR}/include/version.cmake
+  )
+  add_dependencies(sipp version)
+  add_dependencies(sipp_unittest version)
+endif()
+
 if(PKG_CONFIG_FOUND)
   pkg_search_module(CURSES_LIBRARY ncursesw cursesw ncurses curses)
   if(CURSES_LIBRARY_FOUND)
@@ -134,17 +186,23 @@
 endif()
 if(CURSES_LIBRARY)
   target_link_libraries(sipp dl ${CURSES_LIBRARY} pthread)
-  target_link_libraries(sipp_unittest dl ${CURSES_LIBRARY} pthread gtest gmock)
+  target_link_libraries(sipp_unittest dl ${CURSES_LIBRARY} pthread)
   if(CMAKE_SYSTEM_NAME STREQUAL "Linux")
-    if(NOT BUILD_STATIC)
-      if(TINFO_LIBRARY)
-        target_link_libraries(sipp dl ${TINFO_LIBRARY})
-        target_link_libraries(sipp_unittest dl ${TINFO_LIBRARY})
+    if(TINFO_LIBRARY)
+      target_link_libraries(sipp ${TINFO_LIBRARY})
+      target_link_libraries(sipp_unittest ${TINFO_LIBRARY})
+    else()
+      if(BUILD_STATIC)
+        message(WARNING "libtinfo.a was not found -- please install package if linking fails")
       else()
-        message(FATAL_ERROR "libtinfo was not found -- please install package")
-      endif(TINFO_LIBRARY)
-    endif(NOT BUILD_STATIC)
+        message(FATAL_ERROR "libtinfo.so was not found -- please install package")
+      endif(BUILD_STATIC)
+    endif(TINFO_LIBRARY)
   endif(CMAKE_SYSTEM_NAME STREQUAL "Linux")
+  if(CURSES_LIBRARY_INCLUDE_DIRS OR TINFO_LIBRARY_INCLUDE_DIRS)
+    target_include_directories(sipp SYSTEM PUBLIC ${CURSES_LIBRARY_INCLUDE_DIRS} ${TINFO_LIBRARY_INCLUDE_DIRS})
+    target_include_directories(sipp_unittest SYSTEM PUBLIC ${CURSES_LIBRARY_INCLUDE_DIRS} ${TINFO_LIBRARY_INCLUDE_DIRS})
+  endif()
 else()
   message(FATAL_ERROR "libcurses / libncurses was not found; please install devel package")
 endif()
@@ -155,15 +213,31 @@
   target_link_libraries(sipp_unittest ${RT_LIBRARY})
 endif()
 
+if(DEBUG)
+  add_definitions("-g -O0")
+endif(DEBUG)
+
+if(SIPP_MAX_MSG_SIZE)
+  add_definitions("-DSIPP_MAX_MSG_SIZE=${SIPP_MAX_MSG_SIZE}")
+endif(SIPP_MAX_MSG_SIZE)
+
+if(CYGWIN)
+  add_definitions("-D_GNU_SOURCE")
+endif(CYGWIN)
+
 if(USE_GSL AND GSL_LIBRARY)
   target_link_libraries(sipp gsl gslcblas)
   target_link_libraries(sipp_unittest gsl gslcblas)
 endif(USE_GSL AND GSL_LIBRARY)
 
-if(USE_SSL)
-  target_link_libraries(sipp crypto ssl)
-  target_link_libraries(sipp_unittest crypto ssl)
-endif(USE_SSL)
+if(USE_SSL AND SSL_LIBRARIES)
+  target_link_libraries(sipp ${SSL_LIBRARIES})
+  target_link_libraries(sipp_unittest ${SSL_LIBRARIES})
+  if(SSL_INCLUDE_DIRS)
+    target_include_directories(sipp SYSTEM PUBLIC ${SSL_INCLUDE_DIRS})
+    target_include_directories(sipp_unittest SYSTEM PUBLIC ${SSL_INCLUDE_DIRS})
+  endif(SSL_INCLUDE_DIRS)
+endif(USE_SSL AND SSL_LIBRARIES)
 
 if(USE_PCAP)
   target_link_libraries(sipp pcap)

=== debian/changelog ===
sip-tester (1:3.7.2-1build4) oracular; urgency=medium

  * Rebuild against new libgsl28.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 30 Jul 2024 08:56:04 +0200

sip-tester (1:3.7.2-1build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 19:01:13 +1100

sip-tester (1:3.7.2-1build2) noble; urgency=medium

  * No-change rebuild for libpcap t64.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 14 Mar 2024 14:02:56 +0100

sip-tester (1:3.7.2-1build1) noble; urgency=medium

  * Rebuild against latest wolfssl

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 18 Feb 2024 13:33:53 -0500

sip-tester (1:3.7.2-1) unstable; urgency=medium

  * New upstream version 3.7.2

 -- Victor Seva <vseva@debian.org>  Fri, 17 Nov 2023 15:28:33 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: sip-tester
 Section: comm
 Priority: optional
-Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
 Uploaders:
  Tzafrir Cohen <tzafrir@debian.org>,
  Victor Seva <vseva@debian.org>,

## sip-tester 3.7.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,29 +1,63 @@
-cmake_minimum_required(VERSION 3.4)
+cmake_minimum_required(VERSION 3.5)
 
 # set the project name
 project(SIPp)
 
 # specify the C++ standard
-set(CMAKE_CXX_STANDARD 11)
+set(CMAKE_CXX_STANDARD 14)
 set(CMAKE_CXX_STANDARD_REQUIRED True)
 set(CMAKE_CXX_EXTENSIONS False)
 # specify the C++ standard on older CMake (<3.8)
-set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")
-#set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Werror -pedantic -Wno-error=format-truncation -Wno-error=deprecated-declarations")
+set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++14")
+if(CMAKE_CXX_COMPILER_ID STREQUAL "GNU")
+  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Werror -pedantic -Wno-deprecated-copy -Wno-array-bounds")
+endif()
 
 # Include binary dir first, where we add generated config.h and
 # version.h. If nothing is found there (release tar) use the version.h
 # from the source.
 include_directories(
   ${PROJECT_BINARY_DIR}
-  ${PROJECT_SOURCE_DIR}/include
-  "/usr/local/include")
+  ${PROJECT_SOURCE_DIR}/include)
+
+if(BUILD_STATIC)
+  set(CMAKE_EXE_LINKER_FLAGS "-static-libgcc -static-libstdc++ -static")
+  set(CMAKE_FIND_LIBRARY_SUFFIXES .a ${CMAKE_FIND_LIBRARY_SUFFIXES})
+endif(BUILD_STATIC)
+
+function(optional_library LIB_NAME DESCRIPTION)
+  set(USE_${LIB_NAME} "DEFAULT" CACHE STRING "${DESCRIPTION}")
+
+  string(TOLOWER "${LIB_NAME}" LIB_LOWER)
+  if(USE_${LIB_NAME} STREQUAL "ON" OR USE_${LIB_NAME} STREQUAL "1")
+    find_library(${LIB_NAME}_LIBRARY ${LIB_LOWER})
+    set(USE_${LIB_NAME} 1)
+  elseif(USE_${LIB_NAME} STREQUAL "OFF" OR USE_${LIB_NAME} STREQUAL "0")
+    set(USE_${LIB_NAME} 0)
+  else()
+    find_library(${LIB_NAME}_LIBRARY ${LIB_LOWER})
+    if(${LIB_NAME}_LIBRARY)
+      message(STATUS "${LIB_NAME} is enabled")
+      set(USE_${LIB_NAME} 1 PARENT_SCOPE)
+    else()
+      message(STATUS "${LIB_NAME} is disabled")
+      set(USE_${LIB_NAME} 0 PARENT_SCOPE)
+    endif()
+  endif()
+endfunction()
+
+optional_library(SCTP "Build with SCTP support")
+optional_library(PCAP "Build with PCAP playback support")
+optional_library(GSL "Build with improved statistical support")
+set(USE_SSL "DEFAULT" CACHE STRING "Build with SIPS and SHA-256 support")
+if(USE_SSL STREQUAL "ON" OR USE_SSL STREQUAL "1")
+  set(USE_SSL 1)
+elseif(USE_SSL STREQUAL "OFF" OR USE_SSL STREQUAL "0")
+  set(USE_SSL 0)
+endif()
 
 option(BUILD_STATIC "Build a statically-linked binary" OFF)
-option(USE_SSL "Build with SIPS support" OFF)
-option(USE_SCTP "Build with SCTP support" OFF)
-option(USE_PCAP "Build with PCAP playback support" OFF)
-option(USE_GSL "Build with improved statistical support" ON)
+option(USE_LOCAL_IP_HINTS "Build with local ip hints priority" OFF)
 
 file(GLOB all_SRCS
   "${PROJECT_SOURCE_DIR}/src/*.cpp"
@@ -47,21 +81,11 @@
 configure_file("${PROJECT_SOURCE_DIR}/include/config.h.in"
                "${PROJECT_BINARY_DIR}/config.h" )
 
-if(BUILD_STATIC)
-  set(CMAKE_EXE_LINKER_FLAGS "-static-libgcc -static-libstdc++ -static")
-  set(CMAKE_FIND_LIBRARY_SUFFIXES .a ${CMAKE_FIND_LIBRARY_SUFFIXES})
-endif(BUILD_STATIC)
-
 list(REMOVE_ITEM all_SRCS
   "${PROJECT_SOURCE_DIR}/src/sipp_unittest.cpp")
 
 list(REMOVE_ITEM all_SRCS
   "${PROJECT_SOURCE_DIR}/src/sipp.cpp")
-
-if(NOT USE_SSL)
-  list(REMOVE_ITEM all_SRCS
-    "${PROJECT_SOURCE_DIR}/src/sslsocket.cpp")
-endif(NOT USE_SSL)
 
 if(NOT USE_PCAP)
   list(REMOVE_ITEM all_SRCS
@@ -73,7 +97,7 @@
 find_package(PkgConfig QUIET)  # import pkg_check_modules() and friends
 if(USE_SSL)
   if(PKG_CONFIG_FOUND)
-    pkg_search_module(SSL openssl>=0.9.8 wolfssl>=3.15.0)
+    pkg_search_module(SSL openssl>=1.1.0 wolfssl>=3.15.0)
   endif()
   if(SSL_FOUND)
     if("${SSL_LIBRARIES}" MATCHES "wolfssl")
@@ -94,26 +118,43 @@
         set(WOLFSSL_FOUND True)
       endif()
     endif()
-    if(NOT OPENSSL_FOUND AND NOT WOLFSSL_FOUND)
+  endif()
+  if(OPENSSL_FOUND OR WOLFSSL_FOUND)
+    if(USE_SSL STREQUAL "DEFAULT")
+      message(STATUS "Found ${SSL_LIBRARIES}; enabling sips support")
+    endif()
+  else()
+    if(USE_SSL STREQUAL "DEFAULT")
+      message(STATUS "Neither OpenSSL nor WolfSSL was found; disabling sips support")
+      set(USE_SSL 0)
+    else()
       message(FATAL_ERROR "Neither OpenSSL nor WolfSSL was found; please install a devel package")
     endif()
   endif()
+endif()
+
+if(USE_SSL)
+  add_definitions("-DUSE_TLS" "-DUSE_SHA256")
   if(OPENSSL_FOUND)
-    add_definitions("-DUSE_TLS" "-DUSE_OPENSSL")
+    add_definitions("-DUSE_OPENSSL")
   elseif(WOLFSSL_FOUND)
-    add_definitions("-DUSE_TLS" "-DUSE_WOLFSSL" "-DOPENSSL_ALL")
-  endif()
-endif()
+    add_definitions("-DUSE_WOLFSSL" "-DOPENSSL_ALL")
+  endif()
+else(USE_SSL)
+  list(REMOVE_ITEM all_SRCS
+    "${PROJECT_SOURCE_DIR}/src/sslsocket.cpp")
+endif(USE_SSL)
 
 if(USE_PCAP)
   add_definitions("-DPCAPPLAY")
 endif(USE_PCAP)
 
+if(USE_LOCAL_IP_HINTS)
+  add_definitions("-DUSE_LOCAL_IP_HINTS")
+endif(USE_LOCAL_IP_HINTS)
+
 if(USE_GSL)
-  find_library(GSL_LIBRARY gsl)
-  if(GSL_LIBRARY)
-    add_definitions("-DHAVE_GSL")
-  endif(GSL_LIBRARY)
+  add_definitions("-DHAVE_GSL")
 endif(USE_GSL)
 
 if(USE_SCTP)
@@ -121,7 +162,6 @@
 endif(USE_SCTP)
 
 # add the executable
-link_directories("/usr/local/lib")
 add_executable(sipp ${all_SRCS} "${PROJECT_SOURCE_DIR}/src/sipp.cpp")
 target_compile_features(sipp PUBLIC cxx_auto_type cxx_range_for)
 
@@ -185,6 +225,9 @@
   find_library(TINFO_LIBRARY NAMES tinfo)
 endif()
 if(CURSES_LIBRARY)
+  if(BUILD_STATIC)
+    add_definitions("-DNCURSES_STATIC")
+  endif(BUILD_STATIC)
   target_link_libraries(sipp dl ${CURSES_LIBRARY} pthread)
   target_link_libraries(sipp_unittest dl ${CURSES_LIBRARY} pthread)
   if(CMAKE_SYSTEM_NAME STREQUAL "Linux")
@@ -225,31 +268,47 @@
   add_definitions("-D_GNU_SOURCE")
 endif(CYGWIN)
 
-if(USE_GSL AND GSL_LIBRARY)
-  target_link_libraries(sipp gsl gslcblas)
-  target_link_libraries(sipp_unittest gsl gslcblas)
-endif(USE_GSL AND GSL_LIBRARY)
-
-if(USE_SSL AND SSL_LIBRARIES)
+if(USE_GSL)
+  find_library(GSLCBLAS_LIBRARY gslcblas)
+  target_link_libraries(sipp ${GSL_LIBRARY} ${GSLCBLAS_LIBRARY})
+  target_link_libraries(sipp_unittest ${GSL_LIBRARY} ${GSLCBLAS_LIBRARY})
+endif(USE_GSL)
+
+if(USE_SSL)
   target_link_libraries(sipp ${SSL_LIBRARIES})
   target_link_libraries(sipp_unittest ${SSL_LIBRARIES})
   if(SSL_INCLUDE_DIRS)
     target_include_directories(sipp SYSTEM PUBLIC ${SSL_INCLUDE_DIRS})
     target_include_directories(sipp_unittest SYSTEM PUBLIC ${SSL_INCLUDE_DIRS})
   endif(SSL_INCLUDE_DIRS)
-endif(USE_SSL AND SSL_LIBRARIES)
+endif(USE_SSL)
 
 if(USE_PCAP)
-  target_link_libraries(sipp pcap)
-  target_link_libraries(sipp_unittest pcap)
+  set(PCAP_LIBRARIES ${PCAP_LIBRARY})
+  if(PKG_CONFIG_FOUND)
+    pkg_search_module(PCAP libpcap)
+    if(BUILD_STATIC AND PCAP_STATIC_LIBRARIES)
+      set(PCAP_LIBRARIES ${PCAP_STATIC_LIBRARIES})
+      find_library(CAP_LIBRARY cap)
+    endif()
+  endif()
+  target_link_libraries(sipp ${PCAP_LIBRARIES})
+  target_link_libraries(sipp_unittest ${PCAP_LIBRARIES})
+  if(CAP_LIBRARY)
+    target_link_libraries(sipp ${CAP_LIBRARY})
+    target_link_libraries(sipp_unittest ${CAP_LIBRARY})
+  endif()
 endif(USE_PCAP)
 
 if(USE_SCTP)
   find_library(SCTP_LIBRARY sctp)
-  if(SCTP_LIBRARY)
-    target_link_libraries(sipp ${SCTP_LIBRARY})
-    target_link_libraries(sipp_unittest ${SCTP_LIBRARY})
-  endif()
-endif()
+  target_link_libraries(sipp ${SCTP_LIBRARY})
+  target_link_libraries(sipp_unittest ${SCTP_LIBRARY})
+endif()
+
+if(BUILD_STATIC AND MSYS)
+  target_link_libraries(sipp crypt32)
+  target_link_libraries(sipp_unittest crypt32)
+endif(BUILD_STATIC AND MSYS)
 
 install(TARGETS sipp DESTINATION bin)

=== debian/changelog ===
sip-tester (1:3.7.3-2) unstable; urgency=medium

  * fix ftbfs with gcc 14 (Closes: #1081521)

 -- Victor Seva <vseva@debian.org>  Tue, 17 Sep 2024 16:13:56 +0200

sip-tester (1:3.7.3-1) unstable; urgency=medium

  * fix debian/watch
  * fix watch detection of version
  * New upstream version 3.7.3
  * fix wolfssl build
  * pkg-config => pkgconf
  * update Standards-Version 4.7.0, no changes needed

 -- Victor Seva <vseva@debian.org>  Mon, 09 Sep 2024 16:59:06 +0200

=== debian/rules ===
--- 
+++ 
@@ -14,7 +14,8 @@
 	dh $@
 
 override_dh_auto_configure:
-	cp version.h include/
-	dh_auto_configure -- -DUSE_PCAP=1 -DUSE_GSL=1 $(SIPP_CONFIG)
+	dh_auto_configure -- -DUSE_SSL=1 -DUSE_PCAP=1 -DUSE_GSL=1 $(SIPP_CONFIG)
 
-override_dh_auto_test:
+override_dh_auto_clean:
+	rm -rf include/version.cmake
+	dh_auto_clean

## sip-tester 3.7.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -46,18 +46,105 @@
   endif()
 endfunction()
 
+function(add_sipp_target TARGET_NAME)
+  cmake_parse_arguments(SIPP "EXCLUDE_FROM_ALL" "" "SOURCES;EXTRA_LIBRARIES;EXTRA_INCLUDES;COMPILE_DEFINITIONS" ${ARGN})
+
+  if(SIPP_EXCLUDE_FROM_ALL)
+    add_executable(${TARGET_NAME} EXCLUDE_FROM_ALL ${all_SRCS} ${SIPP_SOURCES})
+  else()
+    add_executable(${TARGET_NAME} ${all_SRCS} ${SIPP_SOURCES})
+  endif()
+
+  if(SIPP_COMPILE_DEFINITIONS)
+    target_compile_definitions(${TARGET_NAME} PUBLIC ${SIPP_COMPILE_DEFINITIONS})
+  endif()
+
+  if(SIPP_EXTRA_INCLUDES)
+    target_include_directories(${TARGET_NAME} SYSTEM PUBLIC ${SIPP_EXTRA_INCLUDES})
+  endif()
+
+  apply_common_sipp_dependencies(${TARGET_NAME})
+
+  if(SIPP_EXTRA_LIBRARIES)
+    target_link_libraries(${TARGET_NAME} ${SIPP_EXTRA_LIBRARIES})
+  endif()
+endfunction()
+
+function(apply_common_sipp_dependencies TARGET_NAME)
+  # Basic libraries that all targets need
+  target_link_libraries(${TARGET_NAME} dl pthread)
+
+  # Conditional libraries based on configuration
+  if(CURSES_LIBRARY)
+    target_link_libraries(${TARGET_NAME} ${CURSES_LIBRARY})
+    if(CURSES_LIBRARY_INCLUDE_DIRS OR TINFO_LIBRARY_INCLUDE_DIRS)
+      target_include_directories(${TARGET_NAME} SYSTEM PUBLIC ${CURSES_LIBRARY_INCLUDE_DIRS} ${TINFO_LIBRARY_INCLUDE_DIRS})
+    endif()
+  endif()
+
+  if(CMAKE_SYSTEM_NAME STREQUAL "Linux" AND TINFO_LIBRARY)
+    target_link_libraries(${TARGET_NAME} ${TINFO_LIBRARY})
+  endif()
+
+  if(RT_LIBRARY)
+    target_link_libraries(${TARGET_NAME} ${RT_LIBRARY})
+  endif()
+
+  if(USE_GSL AND GSL_LIBRARY AND GSLCBLAS_LIBRARY)
+    target_link_libraries(${TARGET_NAME} ${GSL_LIBRARY} ${GSLCBLAS_LIBRARY})
+  endif()
+
+  if(USE_SSL AND SSL_LIBRARIES)
+    target_link_libraries(${TARGET_NAME} ${SSL_LIBRARIES})
+    if(SSL_INCLUDE_DIRS)
+      target_include_directories(${TARGET_NAME} SYSTEM PUBLIC ${SSL_INCLUDE_DIRS})
+    endif()
+  endif()
+
+  if(USE_PCAP AND PCAP_LIBRARIES)
+    target_link_libraries(${TARGET_NAME} ${PCAP_LIBRARIES})
+    if(CAP_LIBRARY)
+      target_link_libraries(${TARGET_NAME} ${CAP_LIBRARY})
+    endif()
+  endif()
+
+  if(USE_SCTP AND SCTP_LIBRARY)
+    target_link_libraries(${TARGET_NAME} ${SCTP_LIBRARY})
+  endif()
+
+  if(BUILD_STATIC AND MSYS)
+    target_link_libraries(${TARGET_NAME} crypt32)
+  endif()
+endfunction()
+
 optional_library(SCTP "Build with SCTP support")
 optional_library(PCAP "Build with PCAP playback support")
 optional_library(GSL "Build with improved statistical support")
 set(USE_SSL "DEFAULT" CACHE STRING "Build with SIPS and SHA-256 support")
 if(USE_SSL STREQUAL "ON" OR USE_SSL STREQUAL "1")
   set(USE_SSL 1)
+elseif(USE_SSL STREQUAL "KL")
+  set(USE_SSL 1)
+  set(TLS_KL 1)
 elseif(USE_SSL STREQUAL "OFF" OR USE_SSL STREQUAL "0")
   set(USE_SSL 0)
 endif()
 
 option(BUILD_STATIC "Build a statically-linked binary" OFF)
 option(USE_LOCAL_IP_HINTS "Build with local ip hints priority" OFF)
+option(USE_ASAN "Build with AddressSanitizer support" OFF)
+
+if(USE_ASAN)
+  if(CMAKE_CXX_COMPILER_ID STREQUAL "GNU" OR CMAKE_CXX_COMPILER_ID STREQUAL "Clang")
+    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fsanitize=address -fno-omit-frame-pointer")
+    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fsanitize=address -fno-omit-frame-pointer")
+    set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -fsanitize=address")
+    message(STATUS "AddressSanitizer enabled")
+  else()
+    message(WARNING "AddressSanitizer is only supported with GCC or Clang")
+    set(USE_ASAN OFF)
+  endif()
+endif(USE_ASAN)
 
 file(GLOB all_SRCS
   "${PROJECT_SOURCE_DIR}/src/*.cpp"
@@ -137,6 +224,10 @@
   add_definitions("-DUSE_TLS" "-DUSE_SHA256")
   if(OPENSSL_FOUND)
     add_definitions("-DUSE_OPENSSL")
+    if (TLS_KL)
+      message(STATUS "Enabling TLS key logging support for OpenSSL Versions >= 1.1.1")
+      add_definitions("-DUSE_OPENSSL_KL")
+    endif(TLS_KL)
   elseif(WOLFSSL_FOUND)
     add_definitions("-DUSE_WOLFSSL" "-DOPENSSL_ALL")
   endif()
@@ -161,29 +252,74 @@
   add_definitions("-DUSE_SCTP")
 endif(USE_SCTP)
 
-# add the executable
-add_executable(sipp ${all_SRCS} "${PROJECT_SOURCE_DIR}/src/sipp.cpp")
+# Find all libraries before creating targets
+if(PKG_CONFIG_FOUND)
+  pkg_search_module(CURSES_LIBRARY ncursesw cursesw ncurses curses)
+  if(CURSES_LIBRARY_FOUND)
+    set(CURSES_LIBRARY ${CURSES_LIBRARY_LIBRARIES})
+  endif()
+  pkg_search_module(TINFO_LIBRARY tinfo)
+  if(TINFO_LIBRARY_FOUND)
+    set(TINFO_LIBRARY ${TINFO_LIBRARY_LIBRARIES})
+  endif()
+endif()
+if(NOT CURSES_LIBRARY)
+  find_library(CURSES_LIBRARY NAMES ncursesw cursesw ncurses curses)
+endif()
+if(NOT TINFO_LIBRARY)
+  find_library(TINFO_LIBRARY NAMES tinfo)
+endif()
+if(NOT CURSES_LIBRARY)
+  message(FATAL_ERROR "libcurses / libncurses was not found; please install devel package")
+endif()
+if(BUILD_STATIC)
+  add_definitions("-DNCURSES_STATIC")
+endif(BUILD_STATIC)
+
+find_library(RT_LIBRARY NAMES rt)
+
+if(USE_GSL)
+  find_library(GSLCBLAS_LIBRARY gslcblas)
+endif(USE_GSL)
+
+if(USE_PCAP)
+  set(PCAP_LIBRARIES ${PCAP_LIBRARY})
+  if(PKG_CONFIG_FOUND)
+    pkg_search_module(PCAP libpcap)
+    if(BUILD_STATIC AND PCAP_STATIC_LIBRARIES)
+      set(PCAP_LIBRARIES ${PCAP_STATIC_LIBRARIES})
+      find_library(CAP_LIBRARY cap)
+    endif()
+  endif()
+endif(USE_PCAP)
+
+if(USE_SCTP)
+  find_library(SCTP_LIBRARY sctp)
+endif()
+
+# add the main executable
+add_sipp_target(sipp
+  SOURCES "${PROJECT_SOURCE_DIR}/src/sipp.cpp"
+)
 target_compile_features(sipp PUBLIC cxx_auto_type cxx_range_for)
 
 if(EXISTS ${PROJECT_SOURCE_DIR}/gtest/googletest)
-  add_executable(sipp_unittest EXCLUDE_FROM_ALL
-    ${all_SRCS}
-    "${PROJECT_SOURCE_DIR}/src/sipp_unittest.cpp"
-    "${PROJECT_SOURCE_DIR}/gtest/googletest/src/gtest-all.cc"
-    "${PROJECT_SOURCE_DIR}/gtest/googlemock/src/gmock-all.cc"
-  )
-  target_compile_features(sipp_unittest PUBLIC cxx_auto_type cxx_range_for)
-  target_compile_definitions(sipp_unittest PUBLIC "-DGTEST")
-  target_include_directories(sipp_unittest SYSTEM PUBLIC
-    ${PROJECT_SOURCE_DIR}/gtest/googletest
-    ${PROJECT_SOURCE_DIR}/gtest/googlemock
-    ${PROJECT_SOURCE_DIR}/gtest/googletest/include
-    ${PROJECT_SOURCE_DIR}/gtest/googlemock/include
+  add_sipp_target(sipp_unittest
+    EXCLUDE_FROM_ALL
+    SOURCES "${PROJECT_SOURCE_DIR}/src/sipp_unittest.cpp"
+            "${PROJECT_SOURCE_DIR}/gtest/googletest/src/gtest-all.cc"
+            "${PROJECT_SOURCE_DIR}/gtest/googlemock/src/gmock-all.cc"
+    COMPILE_DEFINITIONS "-DGTEST"
+    EXTRA_INCLUDES ${PROJECT_SOURCE_DIR}/gtest/googletest
+                   ${PROJECT_SOURCE_DIR}/gtest/googlemock
+                   ${PROJECT_SOURCE_DIR}/gtest/googletest/include
+                   ${PROJECT_SOURCE_DIR}/gtest/googlemock/include
   )
 else()
-  add_executable(sipp_unittest EXCLUDE_FROM_ALL
-    ${all_SRCS}
-    "${PROJECT_SOURCE_DIR}/src/sipp_unittest.cpp")
+  add_sipp_target(sipp_unittest
+    EXCLUDE_FROM_ALL
+    SOURCES "${PROJECT_SOURCE_DIR}/src/sipp_unittest.cpp"
+  )
 endif()
 
 # add version
@@ -208,52 +344,8 @@
   add_dependencies(sipp_unittest version)
 endif()
 
-if(PKG_CONFIG_FOUND)
-  pkg_search_module(CURSES_LIBRARY ncursesw cursesw ncurses curses)
-  if(CURSES_LIBRARY_FOUND)
-    set(CURSES_LIBRARY ${CURSES_LIBRARY_LIBRARIES})
-  endif()
-  pkg_search_module(TINFO_LIBRARY tinfo)
-  if(TINFO_LIBRARY_FOUND)
-    set(TINFO_LIBRARY ${TINFO_LIBRARY_LIBRARIES})
-  endif()
-endif()
-if(NOT CURSES_LIBRARY)
-  find_library(CURSES_LIBRARY NAMES ncursesw cursesw ncurses curses)
-endif()
-if(NOT TINFO_LIBRARY)
-  find_library(TINFO_LIBRARY NAMES tinfo)
-endif()
-if(CURSES_LIBRARY)
-  if(BUILD_STATIC)
-    add_definitions("-DNCURSES_STATIC")
-  endif(BUILD_STATIC)
-  target_link_libraries(sipp dl ${CURSES_LIBRARY} pthread)
-  target_link_libraries(sipp_unittest dl ${CURSES_LIBRARY} pthread)
-  if(CMAKE_SYSTEM_NAME STREQUAL "Linux")
-    if(TINFO_LIBRARY)
-      target_link_libraries(sipp ${TINFO_LIBRARY})
-      target_link_libraries(sipp_unittest ${TINFO_LIBRARY})
-    else()
-      if(BUILD_STATIC)
-        message(WARNING "libtinfo.a was not found -- please install package if linking fails")
-      else()
-        message(FATAL_ERROR "libtinfo.so was not found -- please install package")
-      endif(BUILD_STATIC)
-    endif(TINFO_LIBRARY)
-  endif(CMAKE_SYSTEM_NAME STREQUAL "Linux")
-  if(CURSES_LIBRARY_INCLUDE_DIRS OR TINFO_LIBRARY_INCLUDE_DIRS)
-    target_include_directories(sipp SYSTEM PUBLIC ${CURSES_LIBRARY_INCLUDE_DIRS} ${TINFO_LIBRARY_INCLUDE_DIRS})
-    target_include_directories(sipp_unittest SYSTEM PUBLIC ${CURSES_LIBRARY_INCLUDE_DIRS} ${TINFO_LIBRARY_INCLUDE_DIRS})
-  endif()
-else()
-  message(FATAL_ERROR "libcurses / libncurses was not found; please install devel package")
-endif()
-
-find_library(RT_LIBRARY NAMES rt)
-if(RT_LIBRARY)
-  target_link_libraries(sipp ${RT_LIBRARY})
-  target_link_libraries(sipp_unittest ${RT_LIBRARY})
+if(CMAKE_SYSTEM_NAME STREQUAL "Linux" AND NOT TINFO_LIBRARY)
+  message(WARNING "libtinfo was not found -- please install package if linking fails")
 endif()
 
 if(DEBUG)
@@ -268,47 +360,4 @@
   add_definitions("-D_GNU_SOURCE")
 endif(CYGWIN)
 
-if(USE_GSL)
-  find_library(GSLCBLAS_LIBRARY gslcblas)
-  target_link_libraries(sipp ${GSL_LIBRARY} ${GSLCBLAS_LIBRARY})
-  target_link_libraries(sipp_unittest ${GSL_LIBRARY} ${GSLCBLAS_LIBRARY})
-endif(USE_GSL)
-
-if(USE_SSL)
-  target_link_libraries(sipp ${SSL_LIBRARIES})
-  target_link_libraries(sipp_unittest ${SSL_LIBRARIES})
-  if(SSL_INCLUDE_DIRS)
-    target_include_directories(sipp SYSTEM PUBLIC ${SSL_INCLUDE_DIRS})
-    target_include_directories(sipp_unittest SYSTEM PUBLIC ${SSL_INCLUDE_DIRS})
-  endif(SSL_INCLUDE_DIRS)
-endif(USE_SSL)
-
-if(USE_PCAP)
-  set(PCAP_LIBRARIES ${PCAP_LIBRARY})
-  if(PKG_CONFIG_FOUND)
-    pkg_search_module(PCAP libpcap)
-    if(BUILD_STATIC AND PCAP_STATIC_LIBRARIES)
-      set(PCAP_LIBRARIES ${PCAP_STATIC_LIBRARIES})
-      find_library(CAP_LIBRARY cap)
-    endif()
-  endif()
-  target_link_libraries(sipp ${PCAP_LIBRARIES})
-  target_link_libraries(sipp_unittest ${PCAP_LIBRARIES})
-  if(CAP_LIBRARY)
-    target_link_libraries(sipp ${CAP_LIBRARY})
-    target_link_libraries(sipp_unittest ${CAP_LIBRARY})
-  endif()
-endif(USE_PCAP)
-
-if(USE_SCTP)
-  find_library(SCTP_LIBRARY sctp)
-  target_link_libraries(sipp ${SCTP_LIBRARY})
-  target_link_libraries(sipp_unittest ${SCTP_LIBRARY})
-endif()
-
-if(BUILD_STATIC AND MSYS)
-  target_link_libraries(sipp crypt32)
-  target_link_libraries(sipp_unittest crypt32)
-endif(BUILD_STATIC AND MSYS)
-
 install(TARGETS sipp DESTINATION bin)

=== debian/changelog ===
sip-tester (1:3.7.5-1) unstable; urgency=medium

  * New upstream version 3.7.5
  * remove patches already merged upstream

 -- Victor Seva <vseva@debian.org>  Wed, 03 Sep 2025 19:29:34 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: sip-tester
 Section: comm
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
+Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
 Uploaders:
  Tzafrir Cohen <tzafrir@debian.org>,
  Victor Seva <vseva@debian.org>,
@@ -15,10 +14,10 @@
  libpcap-dev,
  libsctp-dev [linux-any],
  libwolfssl-dev,
- pkg-config,
+ pkgconf,
 Build-Conflicts:
  libssl-dev,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://sipp.sourceforge.net/
 Vcs-Browser: https://salsa.debian.org/pkg-voip-team/sip-tester
 Vcs-Git: https://salsa.debian.org/pkg-voip-team/sip-tester.git

=== debian/watch ===
version=4
opts="searchmode=plain,\
filenamemangle=s%@ANY_VERSION@%sipp-$1.tar.gz%,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|a|b)\d*)$/$1~$2/" \
https://api.github.com/repos/SIPp/sipp/releases?per_page=50 \
https://github.com/SIPp/sipp/releases/download/v\d\.\d\.\d/sipp-@ANY_VERSION@.tar.gz
